import Combine

enum {{ module_info.name }}Module {
	static func initialize(
	) -> (CoordinatorStore<{{ module_info.name }}CoordinatorState>, {{ module_info.name }}Graph) {
		let store = CoordinatorStore<{{ module_info.name }}CoordinatorState>()
		let service = {{ module_info.name }}Service(store: store)
		let graph = {{ module_info.name }}Graph()
		return (store, graph)
	}
	
	static func makeCoordinator(
		store: CoordinatorStore<{{ module_info.name }}CoordinatorState>,
		graph: {{ module_info.name }}Graph
	) -> {{ module_info.name }}Coordinator {
		{{ module_info.name }}Coordinator(store: store, factory: graph)
	}
}
